Commit 61a98f14 authored by Adam Mercer's avatar Adam Mercer

Merge branch 'deprecate-laldetchar' into 'master'

Deprecate laldetchar subpackage

See merge request !435
parents 06d6ce1d 54a5434d
Pipeline #30380 passed with stages
in 25 minutes and 59 seconds
......@@ -397,8 +397,7 @@ nightly:macos:elcapitan:
- PYPREFIX=/opt/python/$(echo ${CI_JOB_NAME} | sed 's/.*:\(.*\)-manylinux1/\1/')
# Build wheel
- ./00boot
# FIXME: laldetchar depends on glib >= 2.14, too new for manylinux1
- ./configure PYTHON=${PYPREFIX}/bin/python --enable-mpi --disable-laldetchar ${EXTRA_CONFIG_FLAGS}
- ./configure PYTHON=${PYPREFIX}/bin/python --enable-mpi ${EXTRA_CONFIG_FLAGS}
- make -j4 wheel
# Bundle and fix up dependent shared libraries
- auditwheel repair wheel/*.whl
......
......@@ -856,7 +856,7 @@ AC_ARG_ENABLE(
no) laldetchar=false;;
*) AC_MSG_ERROR(bad value ${enableval} for --enable-laldetchar) ;;
esac
], [ laldetchar=${all_lal:-true} ] )
], [ laldetchar=${all_lal:-false} ] )
if test "$lalmetaio" = "false"; then
laldetchar=false
fi
......
......@@ -5,3 +5,7 @@ __version__ = "@PACKAGE_VERSION@"
## \addtogroup laldetchar_python
"""This package provides Python wrappings and extensions to LALDetChar"""
import warnings
warnings.warn('laldetchar has been discontinued, and should not be used',
DeprecationWarning)
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment